# https://github.com/georgmartius/vid.stab/commit/afc8ea9fb0632e0cdf781725a770edb1de788fed
%global commit afc8ea9fb0632e0cdf781725a770edb1de788fed
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global commitdate 20170830

Name:           vid.stab
Version:        1.1
Release:        3.%{commitdate}git%{shortcommit}%{?dist}
Summary:        Video stabilize library for fmpeg, mlt or transcode
License:        GPLv2+
URL:            http://public.hronopik.de/vid.stab
Source0:        https://github.com/georgmartius/vid.stab/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  cmake
BuildRequires:  orc-devel
Requires:       glibc

%description
Vidstab is a video stabilization library which can be plugged-in with Ffmpeg
and Transcode.

%package devel
Summary:        Development files for vid.stab
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the development files (library and header files).

%prep
%setup -q -n %{name}-%{commit}
# remove SSE2 flags
sed -i 's|-DUSE_SSE2 -msse2||' tests/CMakeLists.txt
# fxi warning _FORTIFY_SOURCE requires compiling with optimization (-O)
sed -i 's|-Wall -O0|-Wall -O|' tests/CMakeLists.txt
# use macros EXIT_SUCCESS and EXIT_FAILURE instead for portability reasons.
sed -i 's|return units_failed==0;|return units_failed>0;|' tests/testframework.c

%build
%cmake .
%make_build

# build the tests program
pushd tests
%cmake .
%make_build
popd

%install
%make_install

%check
LD_LIBRARY_PATH=%{buildroot}%{_libdir} tests/tests || :

%post -n %{name} -p /sbin/ldconfig
%postun -n %{name} -p /sbin/ldconfig

%files
%doc README.md
%license LICENSE
%{_libdir}/libvidstab.so.*

%files devel
%{_includedir}/vid.stab/
%{_libdir}/libvidstab.so
%{_libdir}/pkgconfig/vidstab.pc

%changelog
* Wed Oct 04 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.1-3.20170830gitafc8ea9
- change license tag to GPLv2
- fix warning _FORTIFY_SOURCE requires compiling with optimization (-O)

* Sun Oct 01 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.1-2.20170830gitafc8ea9
- use macros EXIT_SUCCESS and EXIT_FAILURE instead for portability reasons

* Sat Sep 30 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.1-1.20170830gitafc8ea9
- Initial build rpm
